Skip to content
Start here

List Vectors

vectorize.indexes.list_vectors(strindex_name, IndexListVectorsParams**kwargs) -> IndexListVectorsResponse
GET/accounts/{account_id}/vectorize/v2/indexes/{index_name}/list

Returns a paginated list of vector identifiers from the specified index.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Vectorize WriteVectorize Read
ParametersExpand Collapse
account_id: str

Identifier

maxLength32
index_name: str
count: Optional[int]

Maximum number of vectors to return

maximum1000
minimum1
cursor: Optional[str]

Cursor for pagination to get the next page of results

ReturnsExpand Collapse
class IndexListVectorsResponse:
count: int

Number of vectors returned in this response

is_truncated: bool

Whether there are more vectors available beyond this response

total_count: int

Total number of vectors in the index

vectors: List[Vector]

Array of vector items

id: str

Identifier for a Vector

maxLength64
cursor_expiration_timestamp: Optional[datetime]

When the cursor expires as an ISO8601 string

formatdate-time
next_cursor: Optional[str]

Cursor for the next page of results

List Vectors

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.vectorize.indexes.list_vectors(
    index_name="example-index",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(response.count)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "count": 100,
    "isTruncated": true,
    "totalCount": 500,
    "vectors": [
      {
        "id": "some-vector-id-023e105f4ecef8ad9ca31a8372d0c353"
      }
    ],
    "cursorExpirationTimestamp": "2025-08-12T20:32:52.469144957+00:00",
    "nextCursor": "suUTaDY5PFUiRweVccnzyt9n75suNPbXHPshvCzue5mHjtj7Letjvzlza9eGj099"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "count": 100,
    "isTruncated": true,
    "totalCount": 500,
    "vectors": [
      {
        "id": "some-vector-id-023e105f4ecef8ad9ca31a8372d0c353"
      }
    ],
    "cursorExpirationTimestamp": "2025-08-12T20:32:52.469144957+00:00",
    "nextCursor": "suUTaDY5PFUiRweVccnzyt9n75suNPbXHPshvCzue5mHjtj7Letjvzlza9eGj099"
  },
  "success": true
}